// This file is auto-generated using get_sector_addresses.py
// Don't edit this file by hand. Always use the generator script!

#ifndef STATES_ARRAY_H
#define STATES_ARRAY_H

#include <array>
#include "state.h"

//This file contains all the states used by the statemachine. 
//Which states should be generated can be selected by setting the accompanying images in required_images.yaml

// clang-format off
static std::array<State, 152> states_array {
  State(NO_STATE),
  State(TRAINING_CURB_MENU_CURB_DOWN),
  State(TRAINING_CURB_MENU_CURB_DOWN_ACTIVATED, "curb_down"),
  State(TRAINING_CURB_MENU_CURB_DOWN_SELECTED),
  State(TRAINING_CURB_MENU_CURB_UP),
  State(TRAINING_CURB_MENU_CURB_UP_ACTIVATED, "curb_up"),
  State(TRAINING_CURB_MENU_CURB_UP_SELECTED),
  State(TRAINING_CURB_MENU_REALSENSE_CURB_DOWN),
  State(TRAINING_CURB_MENU_REALSENSE_CURB_DOWN_ACTIVATED, "realsense_curb_down"),
  State(TRAINING_CURB_MENU_REALSENSE_CURB_DOWN_SELECTED),
  State(TRAINING_CURB_MENU_REALSENSE_CURB_UP),
  State(TRAINING_CURB_MENU_REALSENSE_CURB_UP_ACTIVATED, "realsense_curb_up"),
  State(TRAINING_CURB_MENU_REALSENSE_CURB_UP_SELECTED),
  State(TRAINING_OBSTACLE_MENU_CURB_MENU),
  State(TRAINING_OBSTACLE_MENU_RAMP_MENU),
  State(TRAINING_OBSTACLE_MENU_SIT_MENU),
  State(TRAINING_OBSTACLE_MENU_STAIRS_MENU),
  State(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN),
  State(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_ACTIVATED, "ramp_down"),
  State(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP),
  State(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP_ACTIVATED, "ramp_down_last_step"),
  State(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_LAST_STEP_SELECTED),
  State(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SELECTED),
  State(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP),
  State(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP_ACTIVATED, "ramp_down_single_step"),
  State(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_SINGLE_STEP_SELECTED),
  State(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_START_SINGLE_STEP),
  State(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_START_SINGLE_STEP_ACTIVATED, "ramp_down_start_single_step"),
  State(TRAINING_RAMP_DOWN_MENU_RAMP_DOWN_START_SINGLE_STEP_SELECTED),
  State(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN),
  State(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_ACTIVATED, "realsense_ramp_down"),
  State(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP),
  State(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_ACTIVATED, "realsense_ramp_down_last_step"),
  State(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_SELECTED),
  State(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SELECTED),
  State(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP),
  State(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP_ACTIVATED, "realsense_ramp_down_single_step"),
  State(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_SINGLE_STEP_SELECTED),
  State(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_START_SINGLE_STEP),
  State(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_START_SINGLE_STEP_ACTIVATED, "realsense_ramp_down_start_single_step"),
  State(TRAINING_RAMP_DOWN_MENU_REALSENSE_RAMP_DOWN_START_SINGLE_STEP_SELECTED),
  State(TRAINING_RAMP_MENU_RAMP_DOWN_MENU),
  State(TRAINING_RAMP_MENU_RAMP_UP_MENU),
  State(TRAINING_RAMP_UP_MENU_RAMP_UP),
  State(TRAINING_RAMP_UP_MENU_RAMP_UP_ACTIVATED, "ramp_up"),
  State(TRAINING_RAMP_UP_MENU_RAMP_UP_SELECTED),
  State(TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP),
  State(TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP_ACTIVATED, "ramp_up_single_step"),
  State(TRAINING_RAMP_UP_MENU_RAMP_UP_SINGLE_STEP_SELECTED),
  State(TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP),
  State(TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_ACTIVATED, "realsense_ramp_up"),
  State(TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SELECTED),
  State(TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP),
  State(TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP_ACTIVATED, "realsense_ramp_up_single_step"),
  State(TRAINING_RAMP_UP_MENU_REALSENSE_RAMP_UP_SINGLE_STEP_SELECTED),
  State(TRAINING_SIT_MENU_REALSENSE_SIT),
  State(TRAINING_SIT_MENU_REALSENSE_SIT_ACTIVATED, "realsense_sit"),
  State(TRAINING_SIT_MENU_REALSENSE_SIT_SELECTED),
  State(TRAINING_SIT_MENU_REALSENSE_STAND),
  State(TRAINING_SIT_MENU_REALSENSE_STAND_ACTIVATED, "realsense_stand"),
  State(TRAINING_SIT_MENU_REALSENSE_STAND_SELECTED),
  State(TRAINING_SIT_MENU_SIT),
  State(TRAINING_SIT_MENU_SIT_ACTIVATED, "sit"),
  State(TRAINING_SIT_MENU_SIT_SELECTED),
  State(TRAINING_SIT_MENU_STAND),
  State(TRAINING_SIT_MENU_STAND_ACTIVATED, "stand"),
  State(TRAINING_SIT_MENU_STAND_SELECTED),
  State(TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN),
  State(TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_ACTIVATED, "realsense_stairs_down"),
  State(TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SELECTED),
  State(TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP),
  State(TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP_ACTIVATED, "realsense_stairs_down_single_step"),
  State(TRAINING_STAIRS_DOWN_MENU_REALSENSE_STAIRS_DOWN_SINGLE_STEP_SELECTED),
  State(TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN),
  State(TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_ACTIVATED, "stairs_down"),
  State(TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SELECTED),
  State(TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP),
  State(TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP_ACTIVATED, "stairs_down_single_step"),
  State(TRAINING_STAIRS_DOWN_MENU_STAIRS_DOWN_SINGLE_STEP_SELECTED),
  State(TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE),
  State(TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_ACTIVATED, "realsense_stairs_down_backwards"),
  State(TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SELECTED),
  State(TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP),
  State(TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP_ACTIVATED, "realsense_stairs_down_backwards_single_step"),
  State(TRAINING_STAIRS_DOWN_REVERSE_MENU_REALSENSE_STAIRS_DOWN_REVERSE_SINGLE_STEP_SELECTED),
  State(TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE),
  State(TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_ACTIVATED, "stairs_down_backwards"),
  State(TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SELECTED),
  State(TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP),
  State(TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP_ACTIVATED, "stairs_down_backwards_single_step"),
  State(TRAINING_STAIRS_DOWN_REVERSE_MENU_STAIRS_DOWN_REVERSE_SINGLE_STEP_SELECTED),
  State(TRAINING_STAIRS_MENU_STAIRS_DOWN_MENU),
  State(TRAINING_STAIRS_MENU_STAIRS_DOWN_REVERSE_MENU),
  State(TRAINING_STAIRS_MENU_STAIRS_UP_MENU),
  State(TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP),
  State(TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_ACTIVATED, "realsense_stairs_up"),
  State(TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SELECTED),
  State(TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP),
  State(TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_ACTIVATED, "realsense_stairs_up_single_step"),
  State(TRAINING_STAIRS_UP_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_SELECTED),
  State(TRAINING_STAIRS_UP_MENU_STAIRS_UP),
  State(TRAINING_STAIRS_UP_MENU_STAIRS_UP_ACTIVATED, "stairs_up"),
  State(TRAINING_STAIRS_UP_MENU_STAIRS_UP_SELECTED),
  State(TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP),
  State(TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP_ACTIVATED, "stairs_up_single_step"),
  State(TRAINING_STAIRS_UP_MENU_STAIRS_UP_SINGLE_STEP_SELECTED),
  State(TRAINING_START_MENU),
  State(TRAINING_START_MENU_HOME_SIT),
  State(TRAINING_START_MENU_HOME_SIT_ACTIVATED, "home_sit"),
  State(TRAINING_START_MENU_HOME_SIT_SELECTED),
  State(TRAINING_START_MENU_OBSTACLE_MENU),
  State(TRAINING_START_MENU_REALSENSE_CURB_UP_D),
  State(TRAINING_START_MENU_REALSENSE_CURB_UP_D_ACTIVATED, "realsense_curb_up"),
  State(TRAINING_START_MENU_REALSENSE_CURB_UP_D_SELECTED),
  State(TRAINING_START_MENU_REALSENSE_RAMP_DOWN_D),
  State(TRAINING_START_MENU_REALSENSE_RAMP_DOWN_D_ACTIVATED, "realsense_ramp_down"),
  State(TRAINING_START_MENU_REALSENSE_RAMP_DOWN_D_SELECTED),
  State(TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D),
  State(TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D_ACTIVATED, "realsense_ramp_down_last_step"),
  State(TRAINING_START_MENU_REALSENSE_RAMP_DOWN_LAST_STEP_D_SELECTED),
  State(TRAINING_START_MENU_REALSENSE_RAMP_UP_D),
  State(TRAINING_START_MENU_REALSENSE_RAMP_UP_D_ACTIVATED, "realsense_ramp_up"),
  State(TRAINING_START_MENU_REALSENSE_RAMP_UP_D_SELECTED),
  State(TRAINING_START_MENU_REALSENSE_SIT_D),
  State(TRAINING_START_MENU_REALSENSE_SIT_D_ACTIVATED, "realsense_sit"),
  State(TRAINING_START_MENU_REALSENSE_SIT_D_SELECTED),
  State(TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D),
  State(TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D_ACTIVATED, "realsense_stairs_up_single_step"),
  State(TRAINING_START_MENU_REALSENSE_STAIRS_UP_SINGLE_STEP_D_SELECTED),
  State(TRAINING_START_MENU_REALSENSE_STAND_D),
  State(TRAINING_START_MENU_REALSENSE_STAND_D_ACTIVATED, "realsense_stand"),
  State(TRAINING_START_MENU_REALSENSE_STAND_D_SELECTED),
  State(TRAINING_START_MENU_STAND_D),
  State(TRAINING_START_MENU_STAND_D_ACTIVATED, "stand"),
  State(TRAINING_START_MENU_STAND_D_SELECTED),
  State(TRAINING_WALK_MENU),
  State(TRAINING_WALK_MENU_HOME_STAND),
  State(TRAINING_WALK_MENU_HOME_STAND_ACTIVATED, "home_stand"),
  State(TRAINING_WALK_MENU_HOME_STAND_SELECTED),
  State(TRAINING_WALK_MENU_WALK),
  State(TRAINING_WALK_MENU_WALK_ACTIVATED, "walk"),
  State(TRAINING_WALK_MENU_WALK_LARGE),
  State(TRAINING_WALK_MENU_WALK_LARGE_ACTIVATED, "walk_large"),
  State(TRAINING_WALK_MENU_WALK_LARGE_SELECTED),
  State(TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP),
  State(TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP_ACTIVATED, "walk_single_step_large"),
  State(TRAINING_WALK_MENU_WALK_LARGE_SINGLE_STEP_SELECTED),
  State(TRAINING_WALK_MENU_WALK_SELECTED),
  State(TRAINING_WALK_MENU_WALK_SINGLE_STEP),
  State(TRAINING_WALK_MENU_WALK_SINGLE_STEP_ACTIVATED, "walk_single_step"),
  State(TRAINING_WALK_MENU_WALK_SINGLE_STEP_SELECTED),
  State(TURN_OFF)
};// clang-format on

#endif //STATES_ARRAY_H

